Skip to content

Simulate card production state change

Request

Simulates a card production status change in the sandbox environment.

Please ensure that you have created a physical card order with KIOSK_COLLECTION delivery method and that you produce the card before calling this endpoint to simulate various card production statuses.

Security
UserToken
Path
profileIdinteger, (int64)required

The profile ID.

cardTokenstring, (uuid)required

The card token.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/jsonrequired
statusstring

The intended production status of the card.

Enum:"PRODUCED""PRODUCTION_ERROR"
errorCodestring

The error code to simulate. This field should be set only if the status is PRODUCTION_ERROR.

curl -i -X POST \
  'https://api.wise.com/2026Q3/simulation/spend/profiles/{profileId}/cards/{cardToken}/production' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -d '{
    "status": "PRODUCTION_ERROR",
    "errorCode": "PRT_NOT_REACHABLE"
  }'

Responses

Card production state changed successfully.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Response
No content